### Hierarchy

- DeepCopy<FieldData>
  - FieldData

## Index

### Constructors

- constructor

### Properties

- from
- key
- root
- to
- value

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Constructors

### constructor

- new FieldData(from?: string, to?: string, root?: string, key?: string, value?: string | undefined): FieldData

- - Defined in repository/models/FieldData.ts:8

  #### Parameters

  - ##### Default value from: string = ""

  - ##### Default value to: string = ""

  - ##### Default value root: string = ""

  - ##### Default value key: string = ""

  - ##### Optional value: string | undefined

  #### Returns FieldData

## Properties

### from

from: string

- Defined in repository/models/FieldData.ts:4

### key

key: string

- Defined in repository/models/FieldData.ts:7

### root

root: string

- Defined in repository/models/FieldData.ts:6

### to

to: string

- Defined in repository/models/FieldData.ts:5

### value

value: string | undefined

- Defined in repository/models/FieldData.ts:8

## Methods

### copy

- copy(changeArgs?: JsonObject<FieldData>): FieldData

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<FieldData>

  #### Returns FieldData

### Protected deepCopyFromJson

- deepCopyFromJson(): FieldData

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:22

  #### Returns FieldData

### Protected getClass

- getClass(): ClassCreator<FieldData>

- Overrides DeepCopy.getClass

  - Defined in repository/models/FieldData.ts:24

  #### Returns ClassCreator<FieldData>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/FieldData.ts:20

  #### Returns object

Generated using TypeDoc